Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractUtils

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractUtils

    public class ContractUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `checkPassword​(ParameterMap setup, java.lang.String pswd1, java.lang.String pswd2)` |
  `static java.lang.String` | `getCustomerAddress​(java.sql.Connection connection, int moduleId, int contractId)` |
  `static java.lang.String` | `getPaymentEmail​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key)` |
  `static java.lang.String` | `getPaymentPhone​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key)` |
  `static java.lang.String` | `getX​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key)` |
  `static java.lang.String` | `saveCustomerAddress​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String customerAddress)` |
  `static java.lang.String` | `saveCustomerEmail​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String customerEmail)` |
  `static java.lang.String` | `savePaymentEmail​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String paymentEmail)` |
  `static java.lang.String` | `savePaymentPhone​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String paymentPhone)` |
  `static java.lang.String` | `saveX​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key, java.lang.String value)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractUtils

    public ContractUtils()

- ## Method Details

  - ### getCustomerAddress

    public static java.lang.String getCustomerAddress​(java.sql.Connection connection, int moduleId, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkPassword

    public static java.lang.String checkPassword​(ParameterMap setup, java.lang.String pswd1, java.lang.String pswd2)

  - ### saveCustomerAddress

    public static java.lang.String saveCustomerAddress​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String customerAddress) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveCustomerEmail

    public static java.lang.String saveCustomerEmail​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String customerEmail) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### savePaymentEmail

    public static java.lang.String savePaymentEmail​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String paymentEmail) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### savePaymentPhone

    public static java.lang.String savePaymentPhone​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String paymentPhone) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveX

    public static java.lang.String saveX​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key, java.lang.String value) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPaymentEmail

    public static java.lang.String getPaymentEmail​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPaymentPhone

    public static java.lang.String getPaymentPhone​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getX

    public static java.lang.String getX​(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`